package com.bonus.face.mapper;


import com.bonus.face.domain.FaceDataEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper接口
 *
 * @author bonus
 * @date 2024-12-06
 */
public interface FaceDataMapper {
    /**
     * 查询
     *
     * @param faceId 主键
     * @return
     */
    public FaceDataEntity selectFaceDataByFaceId(Long faceId);

    /**
     * 查询列表
     *
     * @param faceData
     * @return 集合
     */
    public List<FaceDataEntity> selectFaceDataList(FaceDataEntity faceData);

    /**
     * 新增
     *
     * @param faceData
     * @return 结果
     */
    public int insertFaceData(FaceDataEntity faceData);

    /**
     * 修改
     *
     * @param faceData
     * @return 结果
     */
    public int updateFaceData(FaceDataEntity faceData);

    /**
     * 批量删除
     *
     * @param faceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaceDataByFaceIds(Long[] faceIds);

    /**
     * 查询每个分组内身份证唯一
     *
     * @param groupCode
     * @param idCard
     * @return
     */
    public int isGroupAndIdCardUnique(@Param("groupCode") String groupCode, @Param("idCard") String idCard, @Param("faceId") Long faceId);
}
